delete
https://api.talkdeskapp.com/ccaas/queues/users
This endpoint receives objects with a queue identifier and the users to unassign from those queues.
Some relevant information regarding this endpoint:
- The operation is idempotent. If the user already is not assigned to a queue the operation becomes no-op. The API returns success as if the operation went through
- It fails with the appropriate HTTP error code when the request does not conform to the pre-conditions
- Any other failure that is not expected will be reported back in the response of endpoint with a
200 OK.
This means that consumers always have to check the response to determine if the operation was a success or not (or only partial success) - The endpoint is not transactional. If some error occurs it might have updated some resources
- Its mandatory for a user to have at least one queue assigned
Pre-conditions
Currently the pre-conditions that are checked are:
- Some invalid user id exists (it does not conform to the ID spec)
- A object has over a number of defined (default 100) users in the payload.
- There are up to 100 objects for the bulk request
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…